#!/usr/local/bin/python

import sys
import os
import os.path
import subprocess
import re

from util import id_map, translate_cred

# filter that converts keyids in stdin into the principal names.  It checks the
# current directory for subdirectories containing the principal names to make
# that mapping.

td = { }
for p in [d for d in os.listdir(".") if os.path.isdir(d)]:
    id, name = id_map(p)
    if id is not None:
	td[name] = id

tc = translate_cred(td)

for l in sys.stdin:
    print tc(l),
